#!/bin/bash

[ ! -e /data/htconfig.php ] && touch /data/htconfig.php
ln -sf /data/htconfig.php /hubzilla/.htconfig.php
chmod -R 0777 /data/htconfig.php

crond

if [ ! -e /data/store ]; then
        mkdir /data/store
        mkdir -p '/data/store/[data]/smarty3'
        chmod -R 0777 /data/store
fi

ln -sf /data/store /hubzilla/store

sed -i "s/###HUBZILLAINTERVAL###/${HUBZILLAINTERVAL}/" /hubzilla-cron.txt
crontab /hubzilla-cron.txt

sed -i "s/###SERVERNAME###/${SERVERNAME}/" /etc/nginx/conf.d/default.conf

if [ -n "${FRONTEND_IP}" ]; then
    echo "${FRONTEND_IP} ${SERVERNAME}" >>/etc/hosts
fi

nginx
php-fpm5

tail -F /var/log/*.log /var/log/nginx/*.log
